Class | Prawn::Images::PNG
In: | lib/prawn/images/png.rb
Parent: | Object

A convenience class that wraps the logic for extracting the parts of a PNG image that we need to embed them in a PDF

### Methods

colors new pixel_bitlength split_alpha_channel!

### Attributes

alpha_channel | [R] |
bits | [R] |
color_type | [R] |
compression_method | [R] |
filter_method | [R] |
height | [R] |
img_data | [R] |
interlace_method | [R] |
palette | [R] |
scaled_height | [RW] |
scaled_width | [RW] |
transparency | [R] |
width | [R] |

### Public Class methods

new(data)

Process a new PNG image

`data`: | A string containing a full PNG file

### Public Instance methods

colors()

number of color components to each pixel

pixel_bitlength()

number of bits used per pixel

split_alpha_channel!()

split the alpha channel data from the raw image data in images where it‘s required.

[Validate]